#include<iostream>
#include<conio.h>
using namespace std;
class HarfClass
{
	public :
		char Ch;
		int ProcessHarf()
		{
			if(Ch == 'a' || Ch == 'e' || Ch == 'i' || Ch =='o' || Ch =='u' || Ch =='y' ||
			   Ch == 'A' || Ch == 'E' || Ch == 'I' || Ch =='O' || Ch =='U' || Ch =='Y') //harfe vorodi seda dar ast
				return 1;
			else
				if(Ch >= 'a' && Ch <= 'z' || Ch >= 'A' && Ch <= 'Z') //harfe vorodi bi seda ast
					return 2;
				else
					if(Ch >= '0' && Ch <= '9') //harfe vorodi yek ragham adadi ast
						return 3;
					else //harfe digar
						return 4;
		}
};

int main()
{
	HarfClass A;
	cout << "harfe vorodi = ";
	cin >> A.Ch;
	switch (A.ProcessHarf())
	{
		case 1 : cout << "harfe vorodi seda dar ast" << endl; break;
		case 2 : cout << "harfe vorodi bi seda ast" << endl; break;
		case 3 : cout << "harfe vorodi yek ragham adadi ast" << endl; break;
		case 4 : cout << "harfe digar"; break;
	}
	getch();
}

